Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
path: root/list_translators.sh
diff options
context:
space:
mode:
authorBruno Coudoin <bcoudoin@src.gnome.org>2008-03-11 23:39:47 (GMT)
committer Bruno Coudoin <bcoudoin@src.gnome.org>2008-03-11 23:39:47 (GMT)
commit782db1890b80e7e7cb780d04ff458fcabebcfdcd (patch)
treec9cf318ce71e74e8cddc64f3ad4a70efcba02a00 /list_translators.sh
parent4948526a3c7f319c0add6518c15a1ef5c18a1a2c (diff)
Updated our build system to support automake1.10
You still need to copy config.rpath from the gettext package manualy. svn path=/trunk/; revision=3296
Diffstat (limited to 'list_translators.sh')
-rwxr-xr-xlist_translators.sh17
1 files changed, 10 insertions, 7 deletions
diff --git a/list_translators.sh b/list_translators.sh
index 0329340..4fdf9a0 100755
--- a/list_translators.sh
+++ b/list_translators.sh
@@ -2,14 +2,17 @@
# usage: tranlators.sh LAST_RELEASE_TAG
+# Changed so that the list comes out sorted by .po file name
+# Mariano Suárez-Alvarez, Tue Feb 17 16:59:28 ART 2004
+
if [ ! $# -eq 1 ] ; then
- echo "usage: $0 LAST_RELEASE_TAG"
- exit 1;
+ echo "usage: $0 LAST_RELEASE_TAG"
+ exit 1;
fi
-cvs diff -r $1 po/ChangeLog | \
- (awk '/\.po/ { print gensub ("[:,]", "\n", "g", $3); }' | \
+svn diff -r $1 po/ChangeLog | \
+ (awk '/\+.*[a-z][a-zA-Z@_]*\.po/ { print gensub ("[:,]", "\n", "g", $3); }' | \
while read file; do
- if [ -z "po/$file" ]; then continue; fi
- echo $(grep "Last-Translator" po/$file | sed -e 's/"Last-Translator: *\(.*\) *<.*/\1/') "(${file%%.po})"
-done) | sort | uniq
+ if [ -z "$file" ]; then continue; fi
+ echo "(${file%%.po})" $(grep "Last-Translator" po/$file | sed -e 's/"Last-Translator: *\(.*\) *<.*/\1/')
+done) | sort | uniq | sed -e 's/\((.*)\) \(.*\)/\2 \1/'